<!DOCTYPE html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/admin.html}"
>
	<head>
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">
			Setting - Institution
		</title>
		<meta name="_csrf" th:content="${_csrf.token}"/>
		<meta name="_csrf_header" th:content="${_csrf.headerName}"/>
		<script th:inline="javascript">
			function editIntitution(id, name, foundation, type){
				document.getElementById('institutionId').value = id;
				document.getElementById('InstitutionName').value = name;
				document.getElementById('foundation').value = foundation;
				document.getElementById('typeInstitution').value = type;
				document.getElementById('cancel-button').style.display = 'block';
			}

			function cancelInstitusi() {
				document.getElementById('institutionId').value = '';
				document.getElementById('InstitutionName').value = '';
				document.getElementById('foundation').value = '';
				document.getElementById('typeInstitution').value = '';
				document.getElementById('cancel-button').style.display = 'none';
			}

			async function updateStatus(id, status){
				const csrfToken = document.querySelector('meta[name="_csrf"]').getAttribute('content');
				const csrfHeader = document.querySelector('meta[name="_csrf_header"]').getAttribute('content');

				try {
					const response = await fetch(`/setting/institution/update-status/${id}`, {
						method: 'POST',
						headers: {
							'Content-Type': 'application/json',
							[csrfHeader]: csrfToken
						},
						body: JSON.stringify({ id: id, status: status ? 'ACTIVE' : 'INACTIVE' }),
					});

					if (!response.ok) {
						throw new Error('Failed to update status');
					}
				} catch (error) {
					console.error(error);
					// Optionally revert the checkbox state if the update failed
					document.querySelector(`input[data-id='${id}']`).checked = !status;
				}

			}
		</script>
	</head>
	<body layout:fragment="content">
		<div class="container mx-auto px-4 mb-6 mt-6 space-y-6">
			<!-- form -->
			<div th:replace="~{setting/institution/partials/form.html :: form}"></div>
			<div class="rounded-xl shadow bg-white dark:bg-gray-800">
				<!-- table header -->
				<div
					th:replace="~{setting/institution/partials/table-header.html :: tableHeader}"
				></div>
				<!-- table -->
				<div
					th:replace="~{setting/institution/partials/table.html :: table}"
				></div>
				<!-- table footer -->
				<div
					th:replace="~{setting/institution/partials/table-footer.html :: tableFooter}"
				></div>
			</div>
		</div>
	</body>
</html>
